> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llm-stats.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Snapshots

> Ready bulk snapshots the plan may download (Builder: latest only).



## OpenAPI

````yaml https://api.llm-stats.com/stats/openapi.json get /v1/snapshots
openapi: 3.1.0
info:
  title: LLM Stats API
  description: Public API for querying AI model benchmarks, scores, rankings, and pricing.
  version: 1.0.0
servers:
  - url: /stats
security: []
paths:
  /v1/snapshots:
    get:
      summary: List Snapshots
      description: 'Ready bulk snapshots the plan may download (Builder: latest only).'
      operationId: list_snapshots_v1_snapshots_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 30
            title: Limit
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SnapshotsResponse'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SnapshotsResponse:
      properties:
        snapshots:
          items:
            $ref: '#/components/schemas/SnapshotManifest'
          type: array
          title: Snapshots
      type: object
      required:
        - snapshots
      title: SnapshotsResponse
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SnapshotManifest:
      properties:
        snapshot_id:
          type: string
          title: Snapshot Id
        snapshot_date:
          type: string
          format: date
          title: Snapshot Date
        dataset:
          type: string
          title: Dataset
        format:
          type: string
          title: Format
        schema_version:
          type: integer
          title: Schema Version
        bytes:
          anyOf:
            - type: integer
            - type: 'null'
          title: Bytes
        sha256:
          anyOf:
            - type: string
            - type: 'null'
          title: Sha256
        row_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Row Count
        data_as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Data As Of
        generated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Generated At
        change_cursor:
          type: string
          title: Change Cursor
          description: Cursor for /v1/changes that resumes right after this snapshot.
        is_latest:
          type: boolean
          title: Is Latest
        freshness:
          type: string
          title: Freshness
          description: '''fresh'' or ''stale'''
      type: object
      required:
        - snapshot_id
        - snapshot_date
        - dataset
        - format
        - schema_version
        - change_cursor
        - is_latest
        - freshness
      title: SnapshotManifest
    ErrorDetail:
      properties:
        code:
          type: string
          title: Code
        message:
          type: string
          title: Message
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
        limit_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Limit Type
        plan:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan
        reset_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Reset At
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - code
        - message
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````